Exponential 6.0.13 Exponential Enterprise Open Source CMS - PHP Class Reference

Public Member Functions | Static Public Member Functions | Public Attributes | List of all members
eZContentBrowse Class Reference

Handles browsing of content in the node tree. More...

## Public Member Functions
| __construct ( $params=array())
| attributes ()
| hasAttribute ( $attributeName)
| attribute ( $attributeName)
| setStartNode ( $nodeID)

## Static Public Member Functions
static | browse ( $parameters=array(), &$module)
static | nodeAliasID ( $nodeName)
static | result ( $actionName, $asObject=false)

## Public Attributes
| $Parameters = false

## Detailed Description

Handles browsing of content in the node tree.

This class makes it easy to use the browse system to search for content objects or nodes. The class will take care of storing the necessary session variables and redirect to the browse page.

Using it is simply to call the browse function with some parameters.

eZContentBrowse::browse( array( 'action_name' => 'MyActionName' ), $module );
eZContentBrowse\browse
static browse( $parameters=array(), &$module)
Definition: ezcontentbrowse.php:89

It requires the module objects as the second parameter to redirect and the first define how the browse page should behave. Normally you just want to set `action_name` and define the behaviour of that action in settings/browse.ini.

Definition at line 32 of file ezcontentbrowse.php.

## Constructor & Destructor Documentation

## ◆ __construct()

eZContentBrowse::__construct | ( |  | $params = `array()` | ) |

Initializes the object with the session data if they are found. If $params is supplied, it uses them instead

Parameters

  array | $params |

Definition at line 40 of file ezcontentbrowse.php.

References eZHTTPTool\instance().

## Member Function Documentation

## ◆ attribute()

eZContentBrowse::attribute | ( |  | $attributeName | ) |

Returns
  the attribute value of the attribute named $attributeName or `null` if no such attribute.

Definition at line 72 of file ezcontentbrowse.php.

References eZDebug\writeError().

## ◆ attributes()

eZContentBrowse::attributes | ( |  | ) |

Returns
  an array with attribute names.

Definition at line 56 of file ezcontentbrowse.php.

## ◆ browse()

static eZContentBrowse::browse | ( |  | $parameters = `array()`,
|  | & | $module
| ) |  |
| static

Sets some session data taken from $parameters and start the browse module by redirecting to it using $module. Most data will be automatically derived from the `action_name` value taken from settings/browse.ini, other values will override default values.

Definition at line 89 of file ezcontentbrowse.php.

References eZHTTPTool\instance(), nodeAliasID(), and eZDebug\writeError().

Referenced by eZObjectRelationType\customClassAttributeHTTPAction(), eZObjectRelationListType\customClassAttributeHTTPAction(), eZMultiOption2Type\customObjectAttributeHTTPAction(), eZObjectRelationType\customObjectAttributeHTTPAction(), eZObjectRelationListType\customObjectAttributeHTTPAction(), eZApproveType\customWorkflowEventHTTPAction(), eZSubTreeHandler\fetchHttpInput(), eZContentObjectPackageInstaller\initializeTopNodes(), and eZContentObjectPackageCreator\loadObjectList().

## ◆ hasAttribute()

eZContentBrowse::hasAttribute | ( |  | $attributeName | ) |

Returns
  true if the attribute name $attributeName is among the browse parameters.

Definition at line 64 of file ezcontentbrowse.php.

## ◆ nodeAliasID()

static eZContentBrowse::nodeAliasID | ( |  | $nodeName | ) |
| static

Returns
  the node ID for the node alias $nodeName or `false` if no ID could be found.

Definition at line 224 of file ezcontentbrowse.php.

Referenced by browse(), eZObjectRelationType\customObjectAttributeHTTPAction(), and eZObjectRelationListType\customObjectAttributeHTTPAction().

## ◆ result()

static eZContentBrowse::result | ( |  | $actionName,
|  |  | $asObject = `false`
| ) |  |
| static

Returns
  the result of the previous browse operation or `false` if no result was found. It uses the action name $actionName to determine which result to look for.

Definition at line 258 of file ezcontentbrowse.php.

References eZHTTPTool\instance(), and eZDebug\writeError().

Referenced by eZObjectRelationType\customClassAttributeHTTPAction(), and eZObjectRelationListType\customClassAttributeHTTPAction().

## ◆ setStartNode()

eZContentBrowse::setStartNode | ( |  | $nodeID | ) |

Sets the node ID where browsing starts.

Definition at line 248 of file ezcontentbrowse.php.

## Member Data Documentation

## ◆ $Parameters

eZContentBrowse::$Parameters = false

The browse parameters.

Definition at line 296 of file ezcontentbrowse.php.

The documentation for this class was generated from the following file:

- ezcontentbrowse.php

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.